Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-42138

swarm-client-3.3-jar-with-dependencies is missing from repo.jenkins-ci.org

    Details

    • Similar Issues:

      Description

      Current behavior:
      There is no swarm-client-3.3-jar-with-dependencies.jar in https://repo.jenkins-ci.org/releases/org/jenkins-ci/plugins/swarm-client/3.3/

      There is no mention of this breaking change in the documentation nor in the changelog at https://wiki.jenkins-ci.org/display/JENKINS/Swarm+Plugin

      Expected behaviour:
      The mentioned JAR-file is available or README / CHANGELOG is updated to include this change and how to proceed with swarm-client-3.3.jar.

        Attachments

          Activity

          Hide
          cryptidvulpes Jami Lindh added a comment -

          Kohsuke Kawaguchi any updates on this ticket?

          Show
          cryptidvulpes Jami Lindh added a comment - Kohsuke Kawaguchi any updates on this ticket?
          Hide
          spencermalone Spencer Malone added a comment -

          Looking at the file, I think that 3.3 might have just dropped the dependency-less jar, actually.

          2.2's swarm-client-2.2.jar file is 28kb, but the one with dependencies is 1.3 mb

          3.3's only available jar file is 1.5mb

          Could someone else confirm that the 3.3 jar has the dependencies baked in? Sadly, the jenkins puppet module is hard baked to use the swarm-client-jar-with-dependencies.jar file name pattern, so I can't easily test it at the moment.

           

          Show
          spencermalone Spencer Malone added a comment - Looking at the file, I think that 3.3 might have just dropped the dependency-less jar, actually. 2.2's swarm-client-2.2.jar file is 28kb, but the one with dependencies is 1.3 mb 3.3's only available jar file is 1.5mb Could someone else confirm that the 3.3 jar has the dependencies baked in? Sadly, the jenkins puppet module is hard baked to use the swarm-client-jar-with-dependencies.jar file name pattern, so I can't easily test it at the moment.  
          Hide
          cryptidvulpes Jami Lindh added a comment -

          If that is the case then, great! I can try running swarm-client-3.3.jar later today .

          Show
          cryptidvulpes Jami Lindh added a comment - If that is the case then, great! I can try running swarm-client-3.3.jar later today .
          Hide
          cryptidvulpes Jami Lindh added a comment -

          swarm-client-3.3.jar seems to contain the dependencies, yes. Closing the ticket.

          Show
          cryptidvulpes Jami Lindh added a comment - swarm-client-3.3.jar seems to contain the dependencies, yes. Closing the ticket.
          Hide
          oleg_nenashev Oleg Nenashev added a comment -

          KK does not maintain this plugin anymore. Moving to unassigned to set the expectation

          Show
          oleg_nenashev Oleg Nenashev added a comment - KK does not maintain this plugin anymore. Moving to unassigned to set the expectation

            People

            • Assignee:
              Unassigned
              Reporter:
              cryptidvulpes Jami Lindh
            • Votes:
              4 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: